org.hibernate.validator.internal.engine

## Class ValidationContext.ValidationContextBuilder

- java.lang.Object
- - org.hibernate.validator.internal.engine.ValidationContext.ValidationContextBuilder

- Enclosing class:
    ValidationContext<T>

      public static class ValidationContext.ValidationContextBuilder
      extends Object

  Builder for creating `ValidationContext`s suited for the different kinds of validation. Retrieve a builder with all common attributes via `ValidationContext.getValidationContext(ConstraintValidatorManager, MessageInterpolator, ConstraintValidatorFactory, TraversableResolver, boolean)` and then invoke one of the dedicated methods such as `forValidate(Object)`.
  Author:
    Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ValidationContext<T>` | `forValidate(T rootBean)`
    `<T> ValidationContext<T>` | `forValidateParameters(ParameterNameProvider parameterNameProvider, T rootBean, ExecutableElement executable, Object[] executableParameters)`
    `<T> ValidationContext<T>` | `forValidateProperty(T rootBean)`
    `<T> ValidationContext<T>` | `forValidateReturnValue(T rootBean, ExecutableElement executable, Object executableReturnValue)`
    `<T> ValidationContext<T>` | `forValidateValue(Class<T> rootBeanClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forValidate

          public <T> ValidationContext<T> forValidate(T rootBean)

    - #### forValidateProperty

          public <T> ValidationContext<T> forValidateProperty(T rootBean)

    - #### forValidateValue

          public <T> ValidationContext<T> forValidateValue(Class<T> rootBeanClass)

    - #### forValidateParameters

          public <T> ValidationContext<T> forValidateParameters(ParameterNameProvider parameterNameProvider,
                                                       T rootBean,
                                                       ExecutableElement executable,
                                                       Object[] executableParameters)

    - #### forValidateReturnValue

          public <T> ValidationContext<T> forValidateReturnValue(T rootBean,
                                                        ExecutableElement executable,
                                                        Object executableReturnValue)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved